import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./spinner-message.stories";

<Meta of={ComponentStories} name="Docs" />

# SpinnerMessage

The `<ux-iws-spinner-message>` component works similar to the `<ux-spinner-overlay>` component. The difference is that you can show a message box with some additional info with the `<ux-iws-spinner-message>` component. To trigger this functionality within a form component, please add the `data-async-modal-spinner-message` attribute to the form-element. With this data attribute the spinner with the message will be triggered when the form is submitted.

<Canvas of={ComponentStories.Default}></Canvas>

## Developer Documentation

<Controls />
